Skip to main content
POST
/
keys
Create a virtual key
curl --request POST \
  --url https://api.wardin.ai/v1/keys \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "monthlyBudgetUsd": 123,
  "rpmLimit": 123,
  "tpmLimit": 123,
  "ownerId": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "monthlyBudgetUsd": 123,
  "currentSpendUsd": 123,
  "rpmLimit": 123,
  "tpmLimit": 123,
  "createdAt": "2023-11-07T05:31:56Z",
  "key": "<string>"
}

Authorizations

Authorization
string
header
required

A wardin_sk_ virtual key with manager-level access.

Body

application/json
name
string
required
monthlyBudgetUsd
number | null
rpmLimit
integer | null
tpmLimit
integer | null
ownerId
string

Response

201 - application/json

Created

id
string
name
string
monthlyBudgetUsd
number | null
currentSpendUsd
number
rpmLimit
integer | null
tpmLimit
integer | null
status
enum<string>
Available options:
active,
paused,
budget_exceeded,
revoked
createdAt
string<date-time>
key
string

The full key value — only returned at creation.